[ Tollef Fog Heen ]
* New upstream release. Closes: #634618
- Various man page fixes. Closes: #623521
+ * Add debian-fixup service that symlinks mtab to /proc/mounts and
+ migrates /var/run and /var/lock to symlinks to /run
[ Michael Biebl ]
* Build for libnotify 0.7.
--- /dev/null
+#! /bin/sh
+
+set -e
+
+if [ ! -L /etc/mtab ]; then
+ ln -sf /proc/mounts /etc/mtab
+fi
+if [ ! -L /var/run ]; then
+ rm -rf /var/run
+ ln -s /run /var/run
+fi
+if [ ! -L /var/lock ]; then
+ rm -rf /var/lock
+ ln -s /run/lock /var/lock
+fi
+exit 0
--- /dev/null
+[Unit]
+Description=Various fixups to make systemd work better on Debian
+Before=var-run.mount var-lock.mount
+After=var.mount
+DefaultDependencies=no
+
+[Service]
+ExecStart=/lib/systemd/debian-fixup
+Type=simple
+RemainAfterExit=true
rm debian/tmp/lib/security/pam_systemd.la
rm debian/tmp/usr/lib/*.la
rm debian/tmp/lib/systemd/system/sysinit.target.wants/systemd-vconsole-setup.service
+ chmod +x debian/debian-fixup
dh_install -O--parallel --fail-missing
dh_install -plibpam-systemd debian/pam-configs /usr/share
dh_install debian/ifup@.service /lib/systemd/system
debian/init-functions lib/lsb
debian/lib-init-rw.automount lib/systemd/system/
debian/lib-init-rw.mount lib/systemd/system/
+debian/debian-fixup lib/systemd/
+debian/debian-fixup.service lib/systemd/system
# Mount /lib/init/rw during early startup
/lib/systemd/system/lib-init-rw.automount /lib/systemd/system/local-fs.target.wants/lib-init-rw.automount
+# Run fixups early
+/lib/systemd/system/debian-fixup.service /lib/systemd/system/sysinit.target.wants/debian-fixup.service
+
# TODO: mtab/udev-mtab (symlink /etc/mtab to /proc/self/mounts in postinst)